import tml
import random
import math
from flags import *
print "Init Ixis star system"

tml.GameAction.add_system('Ixis',50, 50)

tml.GameAction.add_planet('Ixis','I', 1500, 1800)
tml.GameAction.add_planet('Ixis','2', 5000, 5000)

gflag.ixis_mining_station = tml.GameAction.add_orbiter_station('Ixis',
                                                             'I',
                                                             'images/stations/station0sprite.bmp',
                                                             'images/stations/station0picture.bmp',
                                                             'earcr',
                                                             'dialogs/ixis_mining_station_commander.xml')

gflag.ixis_chorali_station = tml.GameAction.add_orbiter_station('Ixis',
                                                             '2',
                                                             'images/stations/station0sprite.bmp',
                                                             'images/stations/station0picture.bmp',
                                                             'choex',
                                                             'dialogs/chorali_commander.xml')
for i in xrange(20):
    tml.GameAction.add_asteroid('Ixis')


# Famous Ixis asteroid belt
for i in xrange(300):
    tml.GameAction.add_asteroid('Ixis',random.random()*2000, -1, math.radians(90),-1)

# Add Precursor ship wreck

gflag.precursor_wreck_id = tml.GameAction.add_ship('Ixis', "samat", 1500, 5000, tml.GameAction.get_enemy_team())
tml.GameAction.disable_weapon(gflag.precursor_wreck_id)

